.wrapper {
    margin: 5vh 20vh 0 20vh;
    height: 130vh;
    /*margin: 0 auto;*/
    display: grid;
    grid-template-columns: 2fr 10fr;
    grid-template-rows: 1fr 10fr 1fr;
    grid-template-areas:
        "header header"
        "nav main"
        "footer footer";
}

header {
    display: flex;
    grid-area: header;
    background: azure;
}

nav {
    padding: 10px;
    grid-area: nav;
    background: #bccddc;
}

footer {
    grid-area: footer;
    background: coral;
}

main {
    grid-area: main;
    background: aliceblue;
    padding: 0 10px;
}

nav li {
    list-style: none;
    text-transform: uppercase;
    margin-bottom: 7px;
}
nav ul{
    padding: 0;
}
nav li:last-child {
    margin-top: 20px;
}
.top-cover{
    height: 200px;
    margin-bottom: 10px;
}
.top-cover img{
    /*display: block;*/
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 0 0;
}
.profile{
    display: flex;
}
.profile .info {
    margin-left: 20px;
}
.profile .info div{
    font-size: 20px;
    display: flex;
    margin-bottom: 10px;
}
.profile .info div div:first-child{
    font-weight: bold;
    margin-right: 10px;
}
#new-post-area {
    width: 100%;
}
#add-post{
    font-size: 20px;
    padding: 20px 60px;
    background: #8854ef;
    border-radius: 20px;
    border: 2px solid #000;
    /*box-shadow: 1px 1px 12px black;*/
    float: right;
}
.posts{
    display: flex;
    flex-direction: column;
}
.posts *{
    margin-bottom: 20px;
}
.posts .post{
    display: flex;
    background: cornsilk;
}
.posts .post {
    padding: 30px;
}
.posts .post .profile{
    flex-direction: column;
}
.posts .post .message{
    padding: 0 20px;
    text-align: justify;
}

.posts .post .profile img{
    border-radius: 100px; /* Радиус скругления */
    width: 100px;
    height: 100px;
    margin-bottom: 0;
    border: 3px solid green; /* Параметры рамки */
    box-shadow: 0 0 7px #666; /* Параметры тени */
}
